VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IVirtualBoxClient Interface Reference

Convenience interface for client applications. More...

Inheritance diagram for IVirtualBoxClient:

## Public Member Functions
void | checkMachineError (in IMachine machine)
| Perform error checking before using an IMachine object.

## Public Attributes
readonly attribute IVirtualBox | virtualBox
| Reference to the server-side API root object.
readonly attribute ISession | session
| Create a new session object and return the reference to it.
readonly attribute IEventSource | eventSource
| Event source for VirtualBoxClient events.

## Detailed Description

Convenience interface for client applications.

Treat this as a singleton, i.e. never create more than one instance of this interface.

At the moment only available for clients of the local API (not usable via the webservice). Once the session logic is redesigned this might change.

Error information handling is a bit special with IVirtualBoxClient: creating an instance will always succeed. The return of the actual error code/information is postponed to any attribute or method call. The reason for this is that COM likes to mutilate the error code and lose the detailed error information returned by instance creation.

Interface ID:
  `{D2937A8E-CB8D-4382-90BA-B7DA78A74573}`

## Member Function Documentation

## ◆ checkMachineError()

void IVirtualBoxClient::checkMachineError | ( | in IMachine | machine | ) |

Perform error checking before using an IMachine object.

Generally useful before starting a VM and all other uses. If anything is not as it should be then this method will return an appropriate error.

Parameters

  machine | The machine object to check.

## Member Data Documentation

## ◆ virtualBox

readonly attribute IVirtualBox IVirtualBoxClient::virtualBox

Reference to the server-side API root object.

## ◆ session

readonly attribute ISession IVirtualBoxClient::session

Create a new session object and return the reference to it.

## ◆ eventSource

readonly attribute IEventSource IVirtualBoxClient::eventSource

Event source for VirtualBoxClient events.